| Home | Libraries | People | FAQ | More

## Struct template derived

boost::type_erasure::derived

## Synopsis

    // In header: <boost/type_erasure/derived.hpp>

    template<typename T>
    struct derived {
      // types
      typedef unspecified type;
    };

## Description

A metafunction which returns the full any type, when given any of its base classes. This is primarily intended to be used when implementing concept_interface.

See Also:

rebind_any, as_param